Skip to main content
PATCH
Update Customer

Authorizations

X-API-KEY
string
header
required

Path Parameters

customerID
string
required

Unique customer identifier (cus_... or raw UUID)

Body

application/json

Request

customer_ident
string

Merchant-defined customer reference / external identifier.

discord
string

Discord username or handle (stored in customer properties).

email
string

Customer email address.

name
string

Customer display name.

number
string

Phone number (E.164 preferred).

twitter
string

Twitter / X handle (stored in customer properties).

wallet_address
string

Blockchain wallet address associated with the customer.

Response

OK

created_at
string

When the resource was created (RFC3339).

deleted_at
string

When the resource was soft-deleted (RFC3339), if applicable.

email
string

Email address.

id
string

Unique resource identifier.

metadata
integer[]

Arbitrary merchant-defined metadata.

name
string

Display name.

org_id
string

Organisation ID that owns this resource.

phone
string

Phone number.

properties
integer[]

Additional properties as a key-value map.

reference
string

Merchant-defined reference string.

updated_at
string

When the resource was last updated (RFC3339).

wallet_address
string

Blockchain wallet address.